curl --request PUT \
--url https://{controlPlaneURL}/api/ml/v1/artifact-versions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"manifest": {
"name": "<string>",
"metadata": {},
"ml_repo": "<string>",
"source": {
"type": "truefoundry",
"uri": "<string>"
},
"version": 2,
"type": "artifact-version",
"description": "<string>",
"version_alias": "<string>",
"step": 0,
"run_id": "<string>"
}
}
'{
"data": {
"id": "<string>",
"fqn": "<string>",
"created_by_subject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"manifest": {
"name": "<string>",
"metadata": {},
"ml_repo": "<string>",
"source": {
"type": "truefoundry",
"uri": "<string>"
},
"version": 2,
"type": "artifact-version",
"description": "<string>",
"version_alias": "<string>",
"step": 0,
"run_id": "<string>"
},
"ml_repo_id": "<string>",
"artifact_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"version_alias": "<string>",
"usage_code_snippet": "<string>"
}
}Create or update an artifact version.
curl --request PUT \
--url https://{controlPlaneURL}/api/ml/v1/artifact-versions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"manifest": {
"name": "<string>",
"metadata": {},
"ml_repo": "<string>",
"source": {
"type": "truefoundry",
"uri": "<string>"
},
"version": 2,
"type": "artifact-version",
"description": "<string>",
"version_alias": "<string>",
"step": 0,
"run_id": "<string>"
}
}
'{
"data": {
"id": "<string>",
"fqn": "<string>",
"created_by_subject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"manifest": {
"name": "<string>",
"metadata": {},
"ml_repo": "<string>",
"source": {
"type": "truefoundry",
"uri": "<string>"
},
"version": 2,
"type": "artifact-version",
"description": "<string>",
"version_alias": "<string>",
"step": 0,
"run_id": "<string>"
},
"ml_repo_id": "<string>",
"artifact_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"version_alias": "<string>",
"usage_code_snippet": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Manifest containing metadata for the artifact to apply
Show child attributes
The created or updated artifact version
The artifact version data
Show child attributes
Was this page helpful?